<?php
  require_once "connectdb.php";

  if(!empty($_POST['search_query'])) {
    $search_query = stripslashes($_POST['search_query']);
    $show = $_POST['fromShow'];

    switch($show){
      case '1':
        $searchForText = $GLOBALS["lang_dpg"]->str["lang_search_title_part2_groups"];
        $sql = '(SELECT DISTINCT
                  `id` AS `ID`, `NAME` AS `CONTENT`, 1 AS `TAKE`, 1 AS `IDENT`
                FROM
                  `dynpg_cms_groups`
                WHERE
                  `id` LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  `NAME` LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  `SHORTTEXT` LIKE \'%'.mysql_real_escape_string($search_query).'%\'
                ORDER BY `id` ASC
                LIMIT 0,50)' .

				' UNION ' .

				'(SELECT DISTINCT
                  dca.id AS `ID`, dca.TITLE AS `CONTENT`, dca.GROUP AS `TAKE`, 3 AS `IDENT`
                FROM
                  `dynpg_cms_article` dca
                LEFT JOIN
                  `dynpg_cms_articletexts` dcat ON dca.CONTENT = dcat.id
                WHERE
                  dca.id LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  dca.TITLE LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  dca.LEAD LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  dcat.id LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  dcat.TEXT LIKE \'%'.mysql_real_escape_string(dynpg_htmlentities_rigid($search_query,ENT_COMPAT,true)).'%\'
                ORDER BY `id` ASC
                LIMIT 0,50)' .

				'ORDER BY `IDENT` DESC, `id` DESC';
        break;

      default:
      case '3':
        $searchForText = $GLOBALS["lang_dpg"]->str["lang_search_title_part2_articles"];
        $sql = 'SELECT DISTINCT
                  dca.id AS `ID`, dca.TITLE AS `CONTENT`, dca.GROUP AS `TAKE`, 3 AS `IDENT`
                FROM
                  `dynpg_cms_article` dca
                LEFT JOIN
                  `dynpg_cms_articletexts` dcat ON dca.CONTENT = dcat.id
                WHERE
                  dca.id LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  dca.TITLE LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  dca.LEAD LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  dcat.id LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  dcat.TEXT LIKE \'%'.mysql_real_escape_string(dynpg_htmlentities_rigid($search_query,ENT_COMPAT,true)).'%\'
                ORDER BY `id` DESC
                LIMIT 0,50';
        break;

      case '4':
        $searchForText = $GLOBALS["lang_dpg"]->str["lang_search_title_part2_texts"];
        $sql = 'SELECT DISTINCT
                  id AS `ID`, LEFT(`TEXT`, 100) AS `CONTENT`, `GROUP` AS `TAKE`, 4 AS `IDENT`
                FROM
                  `dynpg_cms_articletexts`
                WHERE
                  `id` LIKE \'%'.mysql_real_escape_string($search_query).'%\' OR
                  `TEXT` LIKE \'%'.mysql_real_escape_string(dynpg_htmlentities_rigid($search_query,ENT_COMPAT,true)).'%\'
                ORDER BY `id` DESC
                LIMIT 0,50';
        break;
    }
  }

  if(isset($sql)){
    $res = mysql_query($sql);
  }
?>

<h3><?php echo $GLOBALS["lang_dpg"]->str["lang_search_title_part1"]; ?> &quot;<em><?php echo dynpg_htmlentities_rigid($search_query,ENT_COMPAT,true) ?></em>&quot; <?php echo $searchForText; ?></h3>

<table border="0" cellpadding="8" cellspacing="0" width="100%" class="InnerWebsiteTable">
    <tr>
      <td bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>" valign="top">

        <table border="0" cellpadding="8" cellspacing="0" width="100%" class="InnerWebsiteTableWhite">
          <tr>
            <td width="70" valign="middle" align="center" class="seperated">
              <span class="Normal"><strong><?php echo $GLOBALS["lang_dpg"]->str["lang_search_id"]; ?></strong></span>
            </td>
            <td valign="middle" align="left" class="seperated">
              <span class="Normal"><strong><?php echo $GLOBALS["lang_dpg"]->str["lang_search_name"]; ?></strong></span>
            </td>
            <td valign="middle" colspan="2" align="center" class="seperated_bottom">
              <span class="Normal"><strong><?php echo $GLOBALS["lang_dpg"]->str["lang_search_actions"]; ?></strong></span>
            </td>
          </tr>

        <?php
          if(isset($res) && $res !== false){
          	while($row = mysql_fetch_array($res)){
              $id = $row['ID'];
              $content = dynpg_htmlentities_rigid($row['CONTENT'],ENT_COMPAT,true);
              $group = $row['TAKE'];
              $show = $row['IDENT'];
              $pic = $row['IDENT'] == 1? 'subtree_item.gif': ($row['IDENT'] == 3? 'imgbtn_create.gif': 'imgbtn_dublicate.gif');

              switch($show){
              	case '1':
                case '3':
                case '4':
                  $editLink = '?show='.$show.'&take='.$group.'&acttype=chg&aid='.$id;
                  $deleteLink = '?show='.$show.'&take='.$group.'&acttype=del&aid='.$id;
                  break;
                default:
                  $editLink = '';
                  $deleteLink = '';
              }
              ?>
              <tr>
                <td width="70" valign="middle" align="center" class="seperated">
                  <?php echo $id; ?>
                </td>
                <td valign="middle" align="left" class="seperated">
				  <img src="pictures/<?php print $pic; ?>" alt="pic" width="12" align="left" />
				  <?php echo $content; ?>
                </td>
                <td valign="middle" width="20" align="center" class="seperated">
                  <a href="<?php echo $_SERVER['PHP_SELF'].$editLink; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_search_edit_button"]; ?>"><img src="pictures/imgbtn_edit.jpg" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_search_edit_button"]; ?>" border="0"></a>
                </td>
                <td valign="middle" width="20" align="center" class="seperated">
                  <a href="<?php echo $_SERVER['PHP_SELF'].$deleteLink; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_search_delete_button"]; ?>"><img src="pictures/imgbtn_delete.jpg" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_search_delete_button"]; ?>" border="0"></a>
                </td>
              </tr>
              <?php
            }
          }
          ?>
      </table>

    </td>
  </tr>
</table>